> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Permanently Delete File

export const MultiRelatedLinks = ({sections = []}) => {
  if (!sections || sections.length === 0) {
    return null;
  }
  return <div className="space-y-8">
      {sections.map((section, index) => <RelatedLinks key={index} title={section.title} items={section.items} />)}
    </div>;
};

export const RelatedLinks = ({title, items = []}) => {
  const getBadgeClass = badge => {
    if (!badge) return "badge-default";
    const badgeType = badge.toLowerCase().replace(/\s+/g, "-");
    return `badge-${badge === "ガイド" ? "guide" : badgeType}`;
  };
  if (!items || items.length === 0) {
    return null;
  }
  return <div className="my-8">
      {}
      <h3 className="text-sm font-bold uppercase tracking-wider mb-4">{title}</h3>

      {}
      <div className="flex flex-col gap-3">
        {items.map((item, index) => <a key={index} href={item.href} className="py-2 px-3 rounded related_link hover:bg-[#f2f2f2] dark:hover:bg-[#111827] flex items-center gap-3 group no-underline hover:no-underline border-b-0">
            {}
            <span className={`px-2 py-1 rounded-full text-xs font-semibold uppercase tracking-wide flex-shrink-0 ${getBadgeClass(item.badge)}`}>
              {item.badge}
            </span>

            {}
            <span className="text-base">{item.label}</span>
          </a>)}
      </div>
    </div>;
};

Once a file has been moved to the trash, it will stay in the trash for 30
days by default before being purged. Administrators of Business or
Enterprise accounts can alter the purge window. If you wish to permanently
delete the file from the trash before the purge window expires, make a `DELETE`
request to `/files/:file_id/trash` using the trashed file's `ID`.

<CodeGroup>
  ```sh cURL theme={null}
  curl -i -X DELETE "https://api.box.com/2.0/files/12345/trash" \
       -H "authorization: Bearer <ACCESS_TOKEN>"
  ```

  ```typescript Node/TypeScript v10 theme={null}
  await client.trashedFiles.deleteTrashedFileById(file.id);
  ```

  ```python Python v10 theme={null}
  client.trashed_files.delete_trashed_file_by_id(file.id)
  ```

  ```cs .NET v10 theme={null}
  await client.TrashedFiles.DeleteTrashedFileByIdAsync(fileId: file.Id);
  ```

  ```swift Swift v10 theme={null}
  try await client.trashedFiles.deleteTrashedFileById(fileId: file.id)
  ```

  ```java Java v10 theme={null}
  client.getTrashedFiles().deleteTrashedFileById(file.getId())
  ```

  ```java Java v5 theme={null}
  String fileID = "87398";
  BoxTrash trash = new BoxTrash(api);
  trash.deleteFile(fileID);
  ```

  ```python Python v4 theme={null}
  file_to_delete = client.file(file_id='11111')
  client.trash().permanently_delete_item(file_to_delete)
  print('The file was deleted from trash!')
  ```

  ```cs .NET v6 theme={null}
  await client.FilesManager.PurgeTrashedAsync("11111");
  ```

  ```javascript Node v4 theme={null}
  client.files.deletePermanently('11111')
  	.then(() => {
  		// deletion succeeded — no value returned
  	});
  ```
</CodeGroup>

<RelatedLinks
  title="RELATED RESOURCES"
  items={[
  { label: "Files", href: "/guides/files/index", badge: "GUIDE" }
]}
/>
